Skip to main content
POST
Add price to plan
This reference describes API version 2026-05-01. Send Commet-Version: 2026-05-01 with your request.

Authorizations

x-api-key
string
header
required

Headers

Commet-Version
string
default:2026-05-01

API version used by this reference. Send this header to select this contract explicitly.

Path Parameters

id
string
required

Body

application/json
billingInterval
enum<string>
required
Available options:
weekly,
monthly,
quarterly,
semiannual,
yearly,
one_time
price
integer
required
Required range: 0 <= x <= 9007199254740991
introOfferEnabled
boolean
required
trialDays
integer
Required range: 0 <= x <= 730
trialRequiresPaymentMethod
boolean

Set to false so the price's free trial starts without a payment method. Requires trialDays on the price.

isDefault
boolean
includedBalance
integer | null
Required range: -9007199254740991 <= x <= 9007199254740991
includedCredits
integer | null
Required range: -9007199254740991 <= x <= 9007199254740991
introOfferDiscountType
enum<string> | null
Available options:
percentage,
amount
introOfferDiscountValue
integer | null
introOfferDurationCycles
integer | null

Response

Success

success
any
required
data
object
required